%define name chemtool
%define version 1.6
%define release 1mdk

Summary: Chemtool is a program for 2D drawing organic molecules
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Chemistry
# CAUTION: pristine source is actually tar.gzipped
Source: %{name}-%{version}.tar.bz2
Url: http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
BuildRoot: %_tmppath/%name-buildroot
Requires: transfig
BuildRequires: libgtk+1.2-devel
Source10:%{name}.16.png.bz2
Source11:%{name}.32.png.bz2
Source12:%{name}.48.png.bz2

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using 
the GTK widget set.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_bindir
install -d $RPM_BUILD_ROOT%_mandir/man1
install -d $RPM_BUILD_ROOT%_datadir/%name-%version/examples
for L in `ls locales`; do \
	install -d $RPM_BUILD_ROOT%_datadir/locale/$L/LC_MESSAGES; done

install -m 755 %{name} $RPM_BUILD_ROOT%_bindir/
install -m 755 src-cht/cht $RPM_BUILD_ROOT%_bindir/
install -m 644 examples/* $RPM_BUILD_ROOT%_datadir/%{name}-%{version}/examples
install -m 644 {%{name}.1,cht.1} $RPM_BUILD_ROOT%_mandir/man1/
for L in `ls locales`; do \
	install -m 644 locales/$L/chemtool.mo \
	$RPM_BUILD_ROOT%_datadir/locale/$L/LC_MESSAGES; done

# menu entry
install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/chemtool"\
title="Chemtool"\
longtitle="A program for drawing organic molecules"\
needs="x11"\
icon="chemtool.png"\
section="Applications/Sciences/Chemistry"
EOF

# icons
install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO README ChangeLog
%_bindir/*
%_datadir/%{name}-%{version}
%_mandir/man1/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.6-1mdk
- 1.6

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-3mdk
- new url

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- rebuild

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Thu Jun 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.4.1-2mdk
- png icons (out xpm!)
- %%make instead make

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- updated by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- release 1.4.1
	- add menu entry

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- updated to 1.3.1

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new in contribs
